/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 *   
 * [1] http://alakai.org/licensing/specification-eoa-license.html
 *   
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa;

/**
 * Models a dependency type which is not specifically defined by this specification, i.e. a
 * dependency which is not a {@link ComponentDependency}, {@link FactoryDependency},
 * {@link ProvidedDependency} or {@link SharedDependency}. The dependency artifact MUST NOT be
 * added to deployment classpath.
 * <p>
 * Note that dependency file, i.e. file retrieved via {@link Dependency#getFile()} MUST be
 * located within root of deployment archive, i.e. within file retrieved via
 * {@link Deployment#getFile()}, at the following relative location (where variables are
 * substituted with values defined on dependency):
 * <p>
 * ${organizationID}/${artifactID}.${extension}
 */

public interface OtherDependency extends Dependency {
}
