/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 *   
 * [1] http://alakai.org/licensing/specification-eoa-license.html
 *   
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.component;

/**
 * Interface implemented by all components within the EOA component hierarchy.
 */
public interface Component {

    /**
     * Returns xpointer based identifier which uniquely identifies component within context of
     * <code>System</code>.
     * 
     * @return String fragment identifier
     * @throws IllegalStateException
     *         if context is undefined, i.e. component not yet incorportated into component
     *         model hierarchy.
     */
    public FragmentIdentifier getFragmentIdentifier();

}