/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 *   
 * [1] http://alakai.org/licensing/specification-eoa-license.html
 *   
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.component.application.rt;

import java.util.Collection;

import org.bluestemsoftware.specification.eoa.component.ComponentReference;
import org.bluestemsoftware.specification.eoa.component.application.Application;
import org.bluestemsoftware.specification.eoa.component.rt.NestedComponentRT;

/**
 * References a 'partner' <code>Application</code> component.
 */
public interface ApplicationReference extends NestedComponentRT<ApplicationRT, ApplicationRT>, ComponentReference<Application> {

    /**
     * Gets a <code>RoleReference</code> component.
     * 
     * @param roleName
     * @return
     */
    public RoleReference getRoleReference(String roleName);

    /**
     * Gets all <code>RoleReference</code> components.
     * 
     * @return
     */
    public Collection<RoleReference> getRoleReferences();

}
