/**
 * Copyright 2008 Bluestem Software LLC
 *   
 * All Rights Reserved. Bluestem Software LLC licenses this file
 * to you under the EOA Specification License Agreement [1]. You
 * may not use this file except in compliance with the License. You
 * may obtain a copy of the License at:
 *   
 * [1] http://alakai.org/licensing/specification-eoa-license.html
 *   
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.bluestemsoftware.specification.eoa.ext;

import java.util.List;
import java.util.Map;

import org.bluestemsoftware.specification.eoa.DeploymentDependencies;
import org.bluestemsoftware.specification.eoa.FeatureDependency;
import org.bluestemsoftware.specification.eoa.OtherDependency;
import org.bluestemsoftware.specification.eoa.ProvidedDependency;
import org.bluestemsoftware.specification.eoa.ScopedDependency;
import org.bluestemsoftware.specification.eoa.SharedDependency;

/**
 * Models dependencies defined by an {@link ExtensionFactoryDeployment}, i.e. dependencies upon which
 * <code>Extension</code> instances created by factory defined within deployment MAY depend in order to
 * implement their behavior.
 */

public class ExtensionFactoryDependencies extends DeploymentDependencies {

    public ExtensionFactoryDependencies() {
        super();
    }

    public ExtensionFactoryDependencies(List<ProvidedDependency> providedDependencies, List<SharedDependency> sharedDependencies, List<ScopedDependency> scopedDependencies, List<FeatureDependency> featureDependencies, Map<String, OtherDependency> otherDependencies) {
        super(providedDependencies, sharedDependencies, scopedDependencies, featureDependencies, otherDependencies);
    }

}
